Subject: Re: circular locking, mirred, 2.6.24.2

From: jamal <[email-masked]>
Date: Thu, 06 Mar 2008 15:44:48 -0500

On Thu, 2008-06-03 at 17:50 +0200, Denys Fedoryshchenko wrote:

> Well, i am able to reproduce in much more trivial script. Tested 2.6.25-rc4 
> also.
> 
> modprobe ifb
> ifconfig ifb0 up
> TC=/sbin/tc
> $TC qdisc del dev eth0 ingress 1>/dev/null 2>/dev/null
> $TC qdisc add dev eth0 ingress
> ${TC} filter add dev eth0 parent ffff: protocol ip prio 10 u32 \
>       match u32 0 0 flowid 1:1 \
>       action mirred egress redirect dev ifb0
> 

I have tried this on my laptop - 2.6.24 and it doesnt happen. Indicates
whatever issues that are occuring must be post 2.6.24 since you are
running something newer. 

> > locks(ethx, ifbx, and loopback). Smells like lockdep is getting it wrong?
> No idea, i have strange lockup's on my systems where i have ifb, and that 
> make me worry. And i feel it is directly related with my love to use ifb 
> devices and way how i am using them.

I will like to help resolve it - if i can reproduce it i can fix it. I
love the fact you love to use ifb. I am going to try later on 2.6.25-rc4
that you are running.

> > This sounds like a different issue from above - when did this start 
> > to happen? Is it at the same time as above warnings showing up?
> 
> Yes, it is different issue seems, it is rare to lockup system , and i will 
> dig more, to understand how it is happening.

Are you running std kernels or do you have some other patches?

cheers,
jamal